Puzzle / Developers
API referenceCustomers

Update Customer

PATCH /company/{id}/customers/{customerId}

PATCH/company/{id}/customers/{customerId}

Path Parameters

id*string

The company ID

Length1 <= length
customerId*string

The customer ID

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/company/string/customers/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "email": "string",  "phoneNumber": "string",  "billingAddressJson": {    "zip": "string",    "city": "string",    "addressLine1": "string",    "addressLine2": "string",    "state": "",    "country": ""  },  "companyName": "string",  "contactName": "string",  "description": "string",  "website": "string",  "status": "Active",  "type": "Individual"}

Schema refreshed 2026-11-11T18:57:48.657Z